> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestdata-micr-only.md).

# requestData (MICR Only)

This query string retrieves data from user interaction with the device.

{% code overflow="wrap" %}

```
?operation= 
&httpMethod= 
&customDisplayMessage= 
&closeDeviceAfter= 
&readerArgument=
&destinationURL= 
&requestLocation= 
&passInData=
```

{% endcode %}

<table data-header-hidden><thead><tr><th width="205.81817626953125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">operation</td><td valign="top"><p>Operation to request from MagneFlex. Use:</p><p>requestData</p></td></tr><tr><td valign="top">httpMethod</td><td valign="top"><p>HTTP method to be used for the HTTP postback from MagneFlex. Use:</p><p>GET - returns the response data in the form of a query string. POST – recommended for EVM related transactions to accommodate limits on query string lengths.</p></td></tr><tr><td valign="top">customDisplayMessage</td><td valign="top">Message to display within the browser to instruct user interaction (iOS only).</td></tr><tr><td valign="top">closeDeviceAfter</td><td valign="top"><p>Flag to close the device after the request. Use:</p><p>true – close device</p><p>false – do not close the device</p></td></tr><tr><td valign="top">readerArgument</td><td valign="top"><p>Comma delimited list of arguments to be passed to MagneFlex. Arguments:</p><p>timeLimit:</p><p>Argument details:</p><p>timeLimit - Seconds the device will wait for the user to complete the operation in hexadecimal.</p><p>(1 - 255)</p></td></tr><tr><td valign="top">destinationURL</td><td valign="top">MagneFlex will send the postback to this URL.</td></tr><tr><td valign="top">requestLocation</td><td valign="top"><p>Flag to send GPS location of the device from which Magneflex (iOS only) is hosted.</p><p>Use:</p><p>true – send location</p><p>false – do not send location</p></td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

Each input parameter supplied in the request is delimited by an ampersand character ‘&’, and the value for a parameter begins after an equal character ‘=’. Where ever a parameter contains multiple values, each are delimited by a comma character ‘,’.

**Example query:**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/default.aspx? 
operation=requestData
&httpMethod=GET
&customDisplayMessage=Please Swipe Card or Scan a Check
&closeDeviceAfter=true 
&readerArgument=
    timeLimit:3C 
&destinationURL=https://192.168.10.100/magneflexdemo/cardpostback.aspx 
&requestLocation=false
&passInData=testData
```

{% endcode %}

**Return Value:**

The Command response output in TVL format.

<table data-header-hidden><thead><tr><th width="157.6363525390625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Parameter</td><td valign="top">Description</td></tr><tr><td valign="top">errorCode</td><td valign="top">Error status. 0 is Success. Non-Zero is an error.</td></tr><tr><td valign="top">errorMessage</td><td valign="top">Description of the errorCode.</td></tr><tr><td valign="top">opType</td><td valign="top"><p>The type of operation. For this command the value is:</p><p>REQUEST_DATA_RESULT</p></td></tr><tr><td valign="top">dataResponse</td><td valign="top">Data received from the device.</td></tr><tr><td valign="top">passInData</td><td valign="top">Optional data to send to MagneFlex. This data will be passed back to the web app.</td></tr></tbody></table>

**Example:**

{% code overflow="wrap" %}

```
https://192.168.10.100/magneflexdemo/cardpostback.aspx?errorCode=0&err orMessage=OK&opType=REQUEST_DATA_RESULT&dataResponse=
%B5999991234567891^MAGTEK/TEST
^21042011000000819000000?;5999991234567891=210420110000819?<13>
&passInData=testdata
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.magtek.com/hardware/card-readers/mms-dyna-devices/dynaflex-ii-go/documents/user-manuals/magneflex-browser-developer-tool-programmers-reference-web-api/magneflex-browser-web-api-resources/requestdata-micr-only.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
